Need a way to fail on deprecation warning